Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class DeviceInfo.DeviceOrientation

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.DeviceInfo.DeviceOrientation

Enclosing class:
  DeviceInfo

public static class DeviceInfo.DeviceOrientation
extends java.lang.Object

To level nested class representing the enumerated types used to represent data members of deviceInfos. This class represents the orientation of the device.

Field Summary
`static int` | `LANDSCAPE`
`static DeviceInfo.DeviceOrientation` | `ORIENTATION_LANDSCAPE`
`static DeviceInfo.DeviceOrientation` | `ORIENTATION_PORTRAIT`
`static DeviceInfo.DeviceOrientation` | `ORIENTATION_UNKNOWN`
`static int` | `PORTRAIT`
`static int` | `UNKNOWN`

Constructor Summary
`DeviceInfo.DeviceOrientation(int orientation)` Constructor.
`DeviceInfo.DeviceOrientation(java.lang.String orientation)` Constructor -- object representing device orientation based on String.

Method Summary
`static DeviceInfo.DeviceOrientation` | `getDeviceOrientation(java.lang.String orientation)`
`int` | `getValue()`
`static boolean` | `isLandscape(DeviceInfo.DeviceOrientation type)`
`static boolean` | `isOrientationKnown(DeviceInfo.DeviceOrientation type)`
`static boolean` | `isPortrait(DeviceInfo.DeviceOrientation type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### LANDSCAPE

    public static final int LANDSCAPE

See Also:
  Constant Field Values

### PORTRAIT

    public static final int PORTRAIT

See Also:
  Constant Field Values

### ORIENTATION_UNKNOWN

    public static final DeviceInfo.DeviceOrientation ORIENTATION_UNKNOWN

### ORIENTATION_LANDSCAPE

    public static final DeviceInfo.DeviceOrientation ORIENTATION_LANDSCAPE

### ORIENTATION_PORTRAIT

    public static final DeviceInfo.DeviceOrientation ORIENTATION_PORTRAIT

Constructor Detail

### DeviceInfo.DeviceOrientation

    public DeviceInfo.DeviceOrientation(java.lang.String orientation)

  Constructor -- object representing device orientation based on String.

Parameters:
  `orientation` - String representing the device's orientation. Value is either "landscape" or "portrait". Case doesn't matter.

### DeviceInfo.DeviceOrientation

    public DeviceInfo.DeviceOrientation(int orientation)

  Constructor.

Parameters:
  `orientation` - the device's orientation.

Method Detail

### isLandscape

    public static boolean isLandscape(DeviceInfo.DeviceOrientation type)

  Returns:
    true is this device's orientation is landscape.

### isPortrait

    public static boolean isPortrait(DeviceInfo.DeviceOrientation type)

  Returns:
    true is this device's orientation is portrait.

### isOrientationKnown

    public static boolean isOrientationKnown(DeviceInfo.DeviceOrientation type)

  Returns:
    false is this device's orientation is unknown.

### getDeviceOrientation

    public static DeviceInfo.DeviceOrientation getDeviceOrientation(java.lang.String orientation)

  Parameters:
    `orientation` - String representing the device's orientation. Value is either "landscape" or "portrait". Case doesn't matter.
  Returns:
    object representing device orientation based on String.

### getValue

    public int getValue()

  Returns:
    Returns the device's orientation.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Returns the device's orientation as a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.